> For the complete documentation index, see [llms.txt](https://offerslook-api.gitbook.io/api-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://offerslook-api.gitbook.io/api-documentation/networkapi/offers/sub-resources/offer-events/get_an_offer_event.md).

# Get an offer event

| HTTP method | Endpoint                                             |
| ----------- | ---------------------------------------------------- |
| **GET**     | **/v1/offers/{offer\_id}/offer\_events/{event\_id}** |

## Path parameters <a href="#path-parameters-2" id="path-parameters-2"></a>

| Parameter | Description                        |
| --------- | ---------------------------------- |
| offer\_id | The unique id for the offer.       |
| event\_id | The unique id for the offer event. |

**Note: If event is\_private=1, the postbacked payout would be null. If you edited pricing type or currency, event status would be pasued, event revenue and payout would be null and need reset. Event\_id=1 data is still in consistency with offer data.**

## Response body parameters <a href="#response-body-parameters-2" id="response-body-parameters-2"></a>

| Field                 | Type    | Description                                                                                                                                                                                                                         |   |
| --------------------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | - |
| id                    | integer | The unique id for the event.                                                                                                                                                                                                        |   |
| name                  | string  | Offer Event name.                                                                                                                                                                                                                   |   |
| revenue\_type         | string  | Event revenue type. Allowed values: RPC · RPI · RPA · RPL · RPS · RPA+RPS                                                                                                                                                           |   |
| revenue               | string  | Event revenue.                                                                                                                                                                                                                      |   |
| percent\_revenue      | string  | Event percent revenue.                                                                                                                                                                                                              |   |
| payout\_type          | string  | Event payout type. Allowed values: CPC · CPI · CPA · CPL · CPS · CPA+CPS                                                                                                                                                            |   |
| payout                | string  | Event payout.                                                                                                                                                                                                                       |   |
| percent\_payout       | string  | Event percent payout.                                                                                                                                                                                                               |   |
| status                | string  | The status of the event.  Allowed values:  active  paused                                                                                                                                                                           |   |
| is\_private           | integer | Enabling this setting will track revenue of event only, affiliate do not have access to private events, custom affiliate payouts can not be set nor can 3rd party affiliate postbacks be placed. Allowed values:  1: Open  0: Close |   |
| approve\_conversions  | integer | Whether Conversions for this Offer must be manually approved. If enabled, Conversions will receive a "status" of "pending" when generated.  Allowed values:  1: Open  0: Close                                                      |   |
| is\_allowed\_multiple | integer | Enabling this setting will allow multiple conversions to be recorded per user for only one click id.  Allowed values:  1: Open  0: Close                                                                                            |   |
| is\_end\_point        | integer | Enabling this setting will close the active click session when this event is converted.  Allowed values:  1: Open  0: Close                                                                                                         |   |
| conversion\_protocol  | integer | The Conversion tracking method to use for the offer event. Allowed values: 1 mage Pixel  2 ostback URL  3 Frame Pixel                                                                                                               |   |
| offer\_payout\_tier   |         |                                                                                                                                                                                                                                     |   |
| tier\_id              | integer | The unique id for the tier.                                                                                                                                                                                                         |   |
| tier\_payout          | string  | Tier payout.                                                                                                                                                                                                                        |   |

## Example request <a href="#example-request-2" id="example-request-2"></a>

**Request GET**

<https://{networkname}.api.offerslook.com/v1/offers/102/offer_events/10>

**Request GET**

<http://{networkname}.api.offerslook.com/v1/offers/102/offer_events/10>

## Example response <a href="#example-response-2" id="example-response-2"></a>

```
    {
      "code": 0,
      "message": "Success",
      "data": {
        "offer_event": {
          "id": 10,
          "name": "Test",
          "revenue_type": "RPA+RPS",
          "revenue": "2.000",
          "percent_revenue": "10",
          "payout_type": "CPA+CPS",
          "payout": "3.000",
          "percent_payout": "10",
          "status": "active",
          "conversion_protocol": 2,
          "is_private": 0,
          "approve_conversions": 0,
          "is_allowed_multiple": 0,
          "is_end_point": 0,
          "offer_payout_tier": [
            {
              "tier_id": 12,
              "offer_id": 102,
              "event_id": 10,
              "tier_payout": "2.5",
              "tier_percent_payout": "10"
            },
            {
              "tier_id": 11,
              "offer_id": 102,
              "event_id": 10,
              "tier_payout": "2.5",
              "tier_percent_payout": "10"
            }
          ],
          "create_time": 1478088797,
          "update_time": 1478088797
        }
      }
    }
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://offerslook-api.gitbook.io/api-documentation/networkapi/offers/sub-resources/offer-events/get_an_offer_event.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
